Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058766 - Restore cursor position after changing help line
Summary: Restore cursor position after changing help line
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: newt
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-28 13:54 UTC by Dan Winship
Modified: 2014-02-19 17:44 UTC (History)
1 user (show)

Fixed In Version: newt-0.52.17-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-29 10:12:25 UTC


Attachments (Terms of Use)
fix (deleted)
2014-01-28 13:54 UTC, Dan Winship
no flags Details | Diff

Description Dan Winship 2014-01-28 13:54:09 UTC
Created attachment 856604 [details]
fix

If you call newtPushHelpLine() while an entry is focused (eg, to say something like "You must enter a number between 1 and 100"), the visible cursor ends up at the end of the help line instead of in the entry.

Comment 1 Miroslav Lichvar 2014-01-28 18:07:23 UTC
I'm not sure about that SLsmg_refresh() call. Is it really needed? I think the form should always do that, otherwise it could be drawn before everything is ready and cause some flickering.

Comment 2 Dan Winship 2014-01-28 18:53:47 UTC
ah, no, it's not necessary. I can just call newtRefresh(). (I was only thinking from the perspective of changing the help line while the form was active, so it seemed weird that it didn't refresh, but clearly if you set a static help line before opening the form then you wouldn't want that.)

Comment 3 Miroslav Lichvar 2014-01-29 10:12:25 UTC
Ok, I've pushed it without that line. Thanks.

In the next few weeks I'll try to make a new newt release and update it in Fedora too.

Comment 4 Miroslav Lichvar 2014-02-19 17:44:39 UTC
This and other changes you have made are now in 0.52.17.


Note You need to log in before you can comment on or make changes to this bug.